Debian Bug report logs - #687427
ITP: starlet -- a simple, high-performance PSGI/Plack HTTP server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Wed, 12 Sep 2012 16:27:01 UTC

Owned by: dom@earth.li

Severity: wishlist

Fixed in version starlet/0.16-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#687427; Package wnpp. (Wed, 12 Sep 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-perl@lists.debian.org, wnpp@debian.org. (Wed, 12 Sep 2012 16:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: starlet -- a simple, high-performance PSGI/Plack HTTP server
Date: Wed, 12 Sep 2012 17:24:36 +0100
Package: wnpp
Severity: wishlist

* Package name    : starlet
  Version         : 0.16
  Upstream Author : Kazuho Oku <kazuhooku@gmail.com>
* URL             : http://search.cpan.org/dist/Starlet/
* License         : Perl
  Programming Lang: Perl
  Description     : a simple, high-performance PSGI/Plack HTTP server

Starlet is a standalone HTTP/1.0 server with keep-alive support, formerly known as Plack::Server::Standalone::Prefork and Plack::Server::Standalone::Prefork::Server::Starter.

Starlet is designed and implemented to be simple, secure and fast, especially for running as a HTTP application server running behind a reverse proxy. It only depends on a minimal number of well-designed (and well-focused) modules.

On the other hand if you are looking for a standalone preforking HTTP server that receives HTTP requests directly from the Internet, then you should look at Starman.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687427; Package wnpp. (Thu, 13 Sep 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Sep 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 687427@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 687427@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#687427: RFP: starlet -- a simple, high-performance PSGI/Plack HTTP server
Date: Thu, 13 Sep 2012 20:17:04 +0200
[Message part 1 (text/plain, inline)]
On Wed, 12 Sep 2012 17:24:36 +0100, Dominic Hargreaves wrote:

> * Package name    : starlet
>   Version         : 0.16
>   Upstream Author : Kazuho Oku <kazuhooku@gmail.com>
> * URL             : http://search.cpan.org/dist/Starlet/
> * License         : Perl
>   Programming Lang: Perl
>   Description     : a simple, high-performance PSGI/Plack HTTP server

[dh-make-perl]

Needs the following modules for which there are no debian packages
available:
 - Server::Starter
 - Parallel::Prefork

Server::Starter:

Needs the following modules for which there are no debian packages
available:
 - Proc::Wait3

Parallel::Prefork:

Needs the following modules for which there are no debian packages
available:
 - Proc::Wait3
 - Class::Accessor::Lite


So if someone is in packaging mood or needs some practice ... :)


Cheers,
gregor
   
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Flying Pickets: Tracks Of My Tears
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 687427 blocks 688976 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 27 Sep 2012 18:48:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: starlet -- a simple, high-performance PSGI/Plack HTTP server' from 'RFP: starlet -- a simple, high-performance PSGI/Plack HTTP server' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 06 Jan 2013 12:54:05 GMT) Full text and rfc822 format available.

Owner recorded as dom@earth.li. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 06 Jan 2013 12:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, dom@earth.li:
Bug#687427; Package wnpp. (Sun, 06 Jan 2013 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, dom@earth.li. (Sun, 06 Jan 2013 13:12:03 GMT) Full text and rfc822 format available.

Message #21 received at 687427@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 687427@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#687427: RFP: starlet -- a simple, high-performance PSGI/Plack HTTP server
Date: Sun, 6 Jan 2013 13:09:04 +0000
On Thu, Sep 13, 2012 at 08:17:04PM +0200, gregor herrmann wrote:
> On Wed, 12 Sep 2012 17:24:36 +0100, Dominic Hargreaves wrote:
> 
> > * Package name    : starlet
> >   Version         : 0.16
> >   Upstream Author : Kazuho Oku <kazuhooku@gmail.com>
> > * URL             : http://search.cpan.org/dist/Starlet/
> > * License         : Perl
> >   Programming Lang: Perl
> >   Description     : a simple, high-performance PSGI/Plack HTTP server
> 
> [dh-make-perl]
> 
> Needs the following modules for which there are no debian packages
> available:
>  - Server::Starter
>  - Parallel::Prefork
> 
> Server::Starter:
> 
> Needs the following modules for which there are no debian packages
> available:
>  - Proc::Wait3
> 
> Parallel::Prefork:
> 
> Needs the following modules for which there are no debian packages
> available:
>  - Proc::Wait3
>  - Class::Accessor::Lite
> 
> 
> So if someone is in packaging mood or needs some practice ... :)

These are now available, so I am going to package this. However I wanted
to check whether starlet was really the right name. I picked this to be
similar to starman, but there is a difference: there is no starlet command;
it needs to be run using start_server or similar. Notably, start_server
is actually provided by libserver-starter-perl (not server-starter).

Starlet is a PSGI application, but the pkg-perl policy doesn't make
any reference to this type of package for naming, so it could arguably
be treated as either when it comes to naming.

Any ideas?

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, dom@earth.li:
Bug#687427; Package wnpp. (Sun, 06 Jan 2013 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <alessandro@ghedini.me>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, dom@earth.li. (Sun, 06 Jan 2013 14:15:06 GMT) Full text and rfc822 format available.

Message #26 received at 687427@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <alessandro@ghedini.me>
To: debian-perl@lists.debian.org
Cc: 687427@bugs.debian.org
Subject: Re: Bug#687427: RFP: starlet -- a simple, high-performance PSGI/Plack HTTP server
Date: Sun, 6 Jan 2013 15:13:58 +0100
[Message part 1 (text/plain, inline)]
On dom, gen 06, 2013 at 01:09:04 +0000, Dominic Hargreaves wrote:
> On Thu, Sep 13, 2012 at 08:17:04PM +0200, gregor herrmann wrote:
> > On Wed, 12 Sep 2012 17:24:36 +0100, Dominic Hargreaves wrote:
> > 
> > > * Package name    : starlet
> > >   Version         : 0.16
> > >   Upstream Author : Kazuho Oku <kazuhooku@gmail.com>
> > > * URL             : http://search.cpan.org/dist/Starlet/
> > > * License         : Perl
> > >   Programming Lang: Perl
> > >   Description     : a simple, high-performance PSGI/Plack HTTP server
> > 
> > [dh-make-perl]
> > 
> > Needs the following modules for which there are no debian packages
> > available:
> >  - Server::Starter
> >  - Parallel::Prefork
> > 
> > Server::Starter:
> > 
> > Needs the following modules for which there are no debian packages
> > available:
> >  - Proc::Wait3
> > 
> > Parallel::Prefork:
> > 
> > Needs the following modules for which there are no debian packages
> > available:
> >  - Proc::Wait3
> >  - Class::Accessor::Lite
> > 
> > 
> > So if someone is in packaging mood or needs some practice ... :)
> 
> These are now available, so I am going to package this. However I wanted
> to check whether starlet was really the right name. I picked this to be
> similar to starman, but there is a difference: there is no starlet command;
> it needs to be run using start_server or similar. Notably, start_server
> is actually provided by libserver-starter-perl (not server-starter).
> 
> Starlet is a PSGI application, but the pkg-perl policy doesn't make
> any reference to this type of package for naming, so it could arguably
> be treated as either when it comes to naming.
> 
> Any ideas?

AFAICT the start_server script is not mandatory to use starlet, so you may
include a wrapper script that uses Plack::Runner with the "server => 'Starlet'"
option. Such script could in turn be called by start_server if needed. That's
what starman does anyway [0].

Cheers

[0] https://metacpan.org/source/MIYAGAWA/Starman-0.3006/bin/starman

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, dom@earth.li:
Bug#687427; Package wnpp. (Sun, 06 Jan 2013 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, dom@earth.li. (Sun, 06 Jan 2013 16:54:03 GMT) Full text and rfc822 format available.

Message #31 received at 687427@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-perl@lists.debian.org, 687427@bugs.debian.org
Subject: Re: Bug#687427: RFP: starlet -- a simple, high-performance PSGI/Plack HTTP server
Date: Sun, 6 Jan 2013 16:51:51 +0000
On Sun, Jan 06, 2013 at 03:13:58PM +0100, Alessandro Ghedini wrote:
> On dom, gen 06, 2013 at 01:09:04 +0000, Dominic Hargreaves wrote:
> > On Thu, Sep 13, 2012 at 08:17:04PM +0200, gregor herrmann wrote:
> > > On Wed, 12 Sep 2012 17:24:36 +0100, Dominic Hargreaves wrote:
> > > 
> > > > * Package name    : starlet
> > > >   Version         : 0.16
> > > >   Upstream Author : Kazuho Oku <kazuhooku@gmail.com>
> > > > * URL             : http://search.cpan.org/dist/Starlet/
> > > > * License         : Perl
> > > >   Programming Lang: Perl
> > > >   Description     : a simple, high-performance PSGI/Plack HTTP server
> > > 
> > > [dh-make-perl]
> > > 
> > > Needs the following modules for which there are no debian packages
> > > available:
> > >  - Server::Starter
> > >  - Parallel::Prefork
> > > 
> > > Server::Starter:
> > > 
> > > Needs the following modules for which there are no debian packages
> > > available:
> > >  - Proc::Wait3
> > > 
> > > Parallel::Prefork:
> > > 
> > > Needs the following modules for which there are no debian packages
> > > available:
> > >  - Proc::Wait3
> > >  - Class::Accessor::Lite
> > > 
> > > 
> > > So if someone is in packaging mood or needs some practice ... :)
> > 
> > These are now available, so I am going to package this. However I wanted
> > to check whether starlet was really the right name. I picked this to be
> > similar to starman, but there is a difference: there is no starlet command;
> > it needs to be run using start_server or similar. Notably, start_server
> > is actually provided by libserver-starter-perl (not server-starter).
> > 
> > Starlet is a PSGI application, but the pkg-perl policy doesn't make
> > any reference to this type of package for naming, so it could arguably
> > be treated as either when it comes to naming.
> > 
> > Any ideas?
> 
> AFAICT the start_server script is not mandatory to use starlet, so you may
> include a wrapper script that uses Plack::Runner with the "server => 'Starlet'"
> option. Such script could in turn be called by start_server if needed. That's
> what starman does anyway [0].

Yes, but I'm not sure there's any need to do that. I was more musing on
the definition of an application really. However I suppose your observation
does support using the application-style name 'starlet'. Starlet does pull
in Server::Starter as a dependency, so that's clearly how it's expected
to be used.

I think I'll go ahead with an upload with the name 'starlet' unless
I hear to the contrary soon.

Thanks for the feedback :)

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 09 Jan 2013 04:27:03 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Wed, 03 Apr 2013 23:03:08 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 23:03:08 GMT) Full text and rfc822 format available.

Message #38 received at 687427-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 687427-close@bugs.debian.org
Subject: Bug#687427: fixed in starlet 0.16-1
Date: Wed, 03 Apr 2013 23:00:08 +0000
Source: starlet
Source-Version: 0.16-1

We believe that the bug you reported is fixed in the latest version of
starlet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687427@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated starlet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Jan 2013 18:20:50 +0000
Source: starlet
Binary: starlet
Architecture: source all
Version: 0.16-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 starlet    - simple, high-performance PSGI/Plack HTTP server
Closes: 687427
Changes: 
 starlet (0.16-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #687427)
Checksums-Sha1: 
 e26bdf5458aa5f264f9296e928fe0fc9e3b30870 1416 starlet_0.16-1.dsc
 3bf7dd3dfbd6e79cc0bea92b0400697db43a1414 26312 starlet_0.16.orig.tar.gz
 f9d725e1865d90ba01e5bb7e4d4ce66c2299ccde 1563 starlet_0.16-1.debian.tar.gz
 1a6fa3005c330a3ba0144421348eb64afe2cf71f 11824 starlet_0.16-1_all.deb
Checksums-Sha256: 
 e6677e46928e89cc8c0e342a87ab62a7cdf37aa19dfb109e8e7eac5d1d7c78c0 1416 starlet_0.16-1.dsc
 0136f353195efa8d422748e0f4f9b10fc204d6132b391f1d9c753fb6ba3d997a 26312 starlet_0.16.orig.tar.gz
 28444b87146546bea71b2242b2d000a284b7c9656f828ea9b0e819f718e63fc4 1563 starlet_0.16-1.debian.tar.gz
 1d40f92d9618611de24ac47e16eadc1fbad4aed9df506000210c33edfb8fafe3 11824 starlet_0.16-1_all.deb
Files: 
 f9e0ceee980e58beceae56e87c8a8736 1416 perl optional starlet_0.16-1.dsc
 e26bd6ed9aa94744418a9643f5c0e5aa 26312 perl optional starlet_0.16.orig.tar.gz
 ffbc2d09f2b1929ec917744557a09663 1563 perl optional starlet_0.16-1.debian.tar.gz
 9a435b603879fa9389dba8b50ff831ae 11824 perl optional starlet_0.16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQ7GPAYzuFKFF44qURAmmhAJ9MJS7fU+2mjt+Dnian/MQaWr5mZQCgztz9
/r77rN+Heplipc7aLVi5cj8=
=mb//
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:37:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.